import subprocess
import sys
import itertools


for option in itertools.product("ABCDEFHJKLMNPQRTUVWXY0123456789@", repeat=16):
    option = ''.join(option)
    proc = subprocess.run(["./Stone", option], stdout=subprocess.PIPE, text=True)
    if proc.stdout.strip() != "Word does not have meaning":
        phobos = proc.stdout.strip().split("'")[-2]
        print(f"{option}: {proc.stdout.strip()}")
